<?php
namespace Controller;

use Service\DeleteCascadeService;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\FilterCriteria;

class ReleaseNotes extends Crud {

	protected $dataSourceName = 'releaseNotes';

	public function __construct(Manager $mongoManager, DeleteCascadeService $deleteCascadeService) {
		parent::__construct($mongoManager, $deleteCascadeService);
	}

	public function find(DTO\Request\Filter $request, DTO\Response $response) {
		$filterData = $request->getFilterCriteria();
		$filterData->setDataSourceName($this->dataSourceName);
		$filterData->addOrderBy('version', FilterCriteria::ORDER_DESC);
		parent::find($request, $response);
	}
}