<?php


namespace Util;


use Teknisa\Libs\Exception\Token as TokenException;
use Teknisa\Libs\Util\InstanceProvider;
use Teknisa\Libs\Util\IntegrationProvider;
use Teknisa\Libs\Util\Utilities;
use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Zeedhi\Framework\Security\OAuth\Exception;

class ApiToken
{
    const collectionApi = 'ZmartTokenApiCache';

    public static function getOperatorAccessProfile($nrParcNegocio, $nrOrg) {
        $query = "SELECT PP.NRPERFILACESSO AS ID, PA.IDPERFILACESSOADM
                    FROM PERFACESSPARC PP
              INNER JOIN PERFILACESSO PA ON PA.NRPERFILACESSO = PP.NRPERFILACESSO
                   WHERE PP.NRORG = :NRORG
                     AND PP.NRPARCNEGOCIO = :NRPARCNEGOCIO
                     AND PP.IDATIVO = 'S'
                     AND (PP.DTVALIDADE IS NULL OR TRUNC(PP.DTVALIDADE) >= TRUNC(SYSDATE))";

        $params = array(
            'NRPARCNEGOCIO' => $nrParcNegocio,
            'NRORG' => $nrOrg
        );

        $entityManager = \Util\InstanceProvider::getLibConnectionCustom()->updateVpdConnection($nrOrg);
        $entityManager = $entityManager ? $entityManager : InstanceProvider::getEntityManager();

        return $entityManager->getConnection()->fetchAll($query, $params);
    }
}