<?php

namespace Util;

use Service\Manager\Mongo\Manager;
use Zeedhi\Framework\DataSource\FilterCriteria;

class ZmartWords {	
	
	protected $manager;

    public function __construct(Manager $manager) {
        $this->manager = $manager;
    }
	
	public function createInternalWords(){
	    $words = array();
	    
	    $viewTypes = $this->getViewTypes();
	    $viewProperties = $this->getViewProperties();
	    
	    $this->pushWordsIntoArray($words, $viewTypes, 'label');
	    $this->pushWordsIntoArray($words, $viewProperties, 'label');
	    $this->pushWordsIntoArray($words, $viewProperties, 'help');
	    $this->pushViewPropertiesValues($words, $viewProperties);
	    
	    $internalWords = array("words" => $words);
	    $internalWords = json_encode($internalWords, JSON_PRETTY_PRINT);
	    
	    file_put_contents("../../mobile/assets/json/internalWords.json", $internalWords);
	}
	
	protected function getViewTypes(){
	    $filterCriteria = new FilterCriteria('viewType');
	    return $this->manager->findBy($filterCriteria)->getRows();
	}
	
	protected function getViewProperties(){
	    $filterCriteria = new FilterCriteria('viewProperty');
	    return $this->manager->findBy($filterCriteria)->getRows();
	}
	
	protected function pushWordsIntoArray(&$array, $data, $property){
	    foreach ($data as $d) {
	    	if(isset($d[$property])){
			    if(!in_array($d[$property], $array)){
		            array_push($array, $d[$property]);
		        }
	    	}
	    }
	}
	
	protected function pushViewPropertiesValues(&$words, $viewProperties){
		foreach ($viewProperties as $property) {
			if(isset($property['dataSource'])){
				$values = $property['dataSource']['data'];
				$this->pushWordsIntoArray($words, $values, 'description');
				$this->pushWordsIntoArray($words, $values, 'mask');
			}
		}
	}
}