/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRODMODFILI                                              */
/* Tabela : PRODMODFILI                                                       */
/*                                                                            */
/* Criao:                                                                   */
/* 06/08/2009 - Fleas                                                        */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PRODMODFILI
BEFORE INSERT OR UPDATE OR DELETE
ON PRODMODFILI FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF NVL(:NEW.CDMODULOPROD, 0) <> NVL(:OLD.CDMODULOPROD, 0) OR
         NVL(:NEW.CDPRODUTO, 0) <> NVL(:OLD.CDPRODUTO, 0) OR
         NVL(:NEW.CDFILIAL, 0) <> NVL(:OLD.CDFILIAL, 0) THEN
         :NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
   	INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
            VALUES('PRODMODFILI', :OLD.CDFILIAL, 'CDMODULOPROD='||:OLD.CDMODULOPROD||
					                                  ';CDPRODUTO='||:OLD.CDPRODUTO||
					                                  ';CDFILIAL='||:OLD.CDFILIAL||
					                                  ';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PRODMODFILI MODIFY DTULTATU DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_PRODMODFILI','5.07.026'); END;
/